[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#320779: marked as done (ocaml :cannot upgrade)



Your message dated Mon, 01 Aug 2005 09:02:16 -0700
with message-id <E1Dzck4-0008Uz-00@spohr.debian.org>
and subject line Bug#320779: fixed in ocaml 3.08.3-6
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 1 Aug 2005 11:57:05 +0000
>From erwan@rail.eu.org Mon Aug 01 04:57:05 2005
Return-path: <erwan@rail.eu.org>
Received: from depot.rail.eu.org (nez-casse.rail.eu.org) [82.232.38.36] (postfix)
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1DzYun-0002Rq-00; Mon, 01 Aug 2005 04:57:05 -0700
Received: from nez-casse.rail.eu.org (localhost [127.0.0.1])
	by nez-casse.rail.eu.org (Postfix) with ESMTP id 49DDBD6BC5;
	Mon,  1 Aug 2005 13:56:47 +0200 (CEST)
Received: by nez-casse.rail.eu.org (Postfix, from userid 1000)
	id 13CD8D6BC3; Mon,  1 Aug 2005 13:56:47 +0200 (CEST)
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Erwan David <erwan@rail.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ocaml :cannot upgrade
X-Mailer: reportbug 3.15
Date: Mon, 01 Aug 2005 13:56:46 +0200
Message-Id: <20050801115647.13CD8D6BC3@nez-casse.rail.eu.org>
X-Virus-Scanned: ClamAV using ClamSMTP
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: ocaml
Version: 3.08.3-5
Severity: important



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-k7
Locale: LANG=C, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages ocaml depends on:
ii  ocaml-base [ocaml-base-3.08.3 3.08.3-5   Runtime system for ocaml bytecode 
ii  ocaml-nox [ocaml-nox-3.08.3]  3.08.3-3   ML language implementation with a 

ocaml recommends no packages.

-- no debconf information

When upgrading ocaml I get the following error :

Setting up ocaml (3.08.3-5) ...
/var/lib/dpkg/info/ocaml.postinst: line 9: ocaml-md5sums: command not found

And ocaml is not usable.

---------------------------------------
Received: (at 320779-close) by bugs.debian.org; 1 Aug 2005 16:25:30 +0000
>From katie@spohr.debian.org Mon Aug 01 09:25:30 2005
Return-path: <katie@spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1Dzck4-0008Uz-00; Mon, 01 Aug 2005 09:02:16 -0700
From: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
To: 320779-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#320779: fixed in ocaml 3.08.3-6
Message-Id: <E1Dzck4-0008Uz-00@spohr.debian.org>
Sender: Archive Administrator <katie@spohr.debian.org>
Date: Mon, 01 Aug 2005 09:02:16 -0700
Delivered-To: 320779-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Source: ocaml
Source-Version: 3.08.3-6

We believe that the bug you reported is fixed in the latest version of
ocaml, which is due to be installed in the Debian FTP archive:

ocaml-base-nox_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-base-nox_3.08.3-6_i386.deb
ocaml-base_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-base_3.08.3-6_i386.deb
ocaml-compiler-libs_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-compiler-libs_3.08.3-6_i386.deb
ocaml-interp_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-interp_3.08.3-6_i386.deb
ocaml-native-compilers_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-native-compilers_3.08.3-6_i386.deb
ocaml-nox_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml-nox_3.08.3-6_i386.deb
ocaml-source_3.08.3-6_all.deb
  to pool/main/o/ocaml/ocaml-source_3.08.3-6_all.deb
ocaml_3.08.3-6.diff.gz
  to pool/main/o/ocaml/ocaml_3.08.3-6.diff.gz
ocaml_3.08.3-6.dsc
  to pool/main/o/ocaml/ocaml_3.08.3-6.dsc
ocaml_3.08.3-6_i386.deb
  to pool/main/o/ocaml/ocaml_3.08.3-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 320779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org> (supplier of updated ocaml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 31 Jul 2005 11:37:24 +0200
Source: ocaml
Binary: ocaml-compiler-libs ocaml-native-compilers ocaml-base-nox ocaml-base ocaml ocaml-nox ocaml-interp ocaml-source
Architecture: source i386 all
Version: 3.08.3-6
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Description: 
 ocaml      - ML language implementation with a class-based object system
 ocaml-base - Runtime system for ocaml bytecode executables
 ocaml-base-nox - Runtime system for ocaml bytecode executables
 ocaml-compiler-libs - Ocaml interpreter and standard libraries
 ocaml-interp - Ocaml interpreter and standard libraries
 ocaml-native-compilers - Native code compilers of the ocaml suite (the .opt ones)
 ocaml-nox  - ML language implementation with a class-based object system
 ocaml-source - Sources for Objective Caml
Closes: 320779
Changes: 
 ocaml (3.08.3-6) unstable; urgency=low
 .
   Changes by Stefano Zacchiroli:
   * debian/control
     - added versioned dep from ocaml to ocaml-base-nox to ensure
       ocaml-md5sums exists at postinst invocation time (Closes: #320779)
Files: 
 8ebab2ccf5a38beb5e7cd90db34bd2f9 848 devel optional ocaml_3.08.3-6.dsc
 78cf523c39d4bd70eab5c910e8f2b1b7 47923 devel optional ocaml_3.08.3-6.diff.gz
 5abdfcea71e8c7cb91df5335f7a00477 5992950 devel optional ocaml-nox_3.08.3-6_i386.deb
 61ef831ca93799ea00b4298a5faf2195 2559660 devel optional ocaml-native-compilers_3.08.3-6_i386.deb
 d986f6fe791783be96206bb7eb81d880 1705800 devel optional ocaml_3.08.3-6_i386.deb
 467328b3699846f618c0a870eb75ec58 246324 devel optional ocaml-base-nox_3.08.3-6_i386.deb
 931c877c42feaa15bc5d12e9d613af81 62190 devel optional ocaml-base_3.08.3-6_i386.deb
 5e78519b6d16cea23d134a80f0ca654e 2068294 devel optional ocaml-source_3.08.3-6_all.deb
 14ec0404f856ff67092d2e9a4a6c1565 935956 devel optional ocaml-interp_3.08.3-6_i386.deb
 9b925d68e5d87a1d21133b4d1eed6a99 732834 devel optional ocaml-compiler-libs_3.08.3-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC7kEp1cqbBPLEI7wRAukHAKCNVJrfOMJvOiiTkGWFXZMsax4VrQCfZBS4
7dcU52ZSlDUKrtOsvAfZ+CY=
=WUCM
-----END PGP SIGNATURE-----



Reply to: